View Issue Details

IDProjectCategoryView StatusLast Update
0004890GNUnetARM servicepublic2018-06-07 00:24
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004890: misuse of dynamically generated format strings in gnunet-arm.c results in "%s" showing up in error messages
DescriptionThe way that format strings are used is pretty messy:

    GNUNET_asprintf (&msg, "%s", _("Failed to start the ARM service: %s\n"));
    FPRINTF (stdout, msg, ret_string (result));

Actually ret_string here returns ANOTHER format specifier (%s) that is not properly subsituted.

Having dynamically generated (!!) format strings is a pretty big red flag, and we have two instances of dynamically generated format strings in two lines of code here ...
Additional InformationOutputs messages like this:

Failed to start the `taler-donations' service: %s service failed to start
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-15 15:36

manager   ~0011761

Oha. Peinlich. Fixed in 731daf5..bc82b00.

Issue History

Date Modified Username Field Change
2017-02-11 17:59 Florian Dold New Issue
2017-02-11 17:59 Florian Dold Status new => assigned
2017-02-11 17:59 Florian Dold Assigned To => Christian Grothoff
2017-02-15 15:36 Christian Grothoff Note Added: 0011761
2017-02-15 15:36 Christian Grothoff Status assigned => resolved
2017-02-15 15:36 Christian Grothoff Resolution open => fixed
2017-02-15 15:36 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-15 15:36 Christian Grothoff Product Version => SVN HEAD
2017-02-15 15:36 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed